[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Variants' (#rtl)

# VarIsError

Check if the variant has type varError

## Declaration

Source position: variants.pp line 111

`function VarIsError(`
`const V: Variant;`
`out AResult: HRESULT`
`):Boolean; function VarIsError(`
`const V: Variant`
`):Boolean;`

## Arguments

`V` |  | Variant to check

## Function result

True if the type is varError

## Arguments

`V` |  | Variant to check

## Description

VarIsError checks V and returns True if the type is varError.

## See also

VarIsNull |  | Check if a variant is null
VarIsEmpty |  | Check if the variant is empty
VarIsOrdinal |  | Check if the variant is an ordinal value.
VarIsEmptyParam |  | Check if the variant is an error value for VAR_PARAMNOTFOUND